---
rank: 12
title: Antidotes for antiskills
date: 2014-09-12T15:00:00.000Z
layout: post
path: /antidotes-for-antiskills/
next: /learning-limits-post-injury-running/
previous: /cycling-computers-and-posture/
tags:
  - fun
  - business
---

![deal with it cat](https://static.sinap.ps/blog/2014/Sep/deal_with_it_cat-1410405231949.jpg)

I've worked with quite a few companies over my career now, many of them very large. Some patterns of behavior have started to emerge, which I now call antiskills:

* Doing what you're told
* Being responsive
* Dealing with it

Sure, they may sound like good things on first blush. And they are, in limited quantities and in the right context. But they can be very dangerous. For example, when they infect your private life.

Let's dig into these antiskills and their antidotes...

<div class='fold'></div>

![sit down, shut up and do as you're told](https://static.sinap.ps/blog/2014/Sep/sit_down_shut_up_and_do_as_you_re_told-1410405365318.png)

## Antiskill: Doing What You're Told

_At the beginning of my career, as an intern software developer at Hewlett-Packard, I would get tasks from my manager then go do them. If I ran out of tasks, I'd need to go back and get more. It's a good thing I was able to get through the tasks fast, because I couldn't work any smarter._

_At Microsoft, as a Program Manager, I had larger goals, like "Add features to Visual Studio to help developers better debug their applications." There was a lot of freedom to work within that goal. What's more, I was pleasantly surprised that my developers collaborated with me in designing features. Tasks were no longer blindly handed over the fence. Not to me, and not to the developers I was working with._

A good manager doesn't tell you exactly what to do - they share goals, then ask you to help them achieve those goals however you can. But you may not have a good manager. You may be in the unfortunate position of being told exactly what to do, how to do it, and when to do it. And to survive in that world, you're practicing the skill of _Doing What You're Told_. Maybe you've even gotten pretty good at ignoring your own thoughts.

This may be a reasonable short-term strategy. But without understanding why you're doing something, you don't have enough context to make suggestions for improvements. A far better strategy is to have enough context to consistently deliver value above and beyond the tasks you're handed. With a wide enough perspective, you might even realize that you're spending time on the wrong tasks entirely - a better plan would bring more business value.

The best kind of workplace harnesses more than your ability to do tasks. It demands creative thought. If you aren't already in a place like that, you can either find a new job or show your manager the business value of your creative thought.

### Antidotes

* Educate yourself about your company's business: how it provides value to customers and how you fit into that. Make suggestions based on your understanding.
* Ask questions about the tasks being handed to you. If you agree with the plan, you can verify that your thinking matches your manager's. If not, you can present your evidence for doing things differently. Maybe you'll convince your manager a change is required. Or perhaps you'll uncover a major difference in thinking that will be a problem going forward. Both are good to know.
* Always have one active project which you initiated, and where you're making most of the decisions. Push hard; make mistakes. This is where true learning comes from.
* Go to a [Startup Weekend](http://startupweekend.org/), where you'll work with a small team to get a business off the ground in three days! Nobody will tell you what to do; you'll have to figure it out for yourself.

![headless chicken](https://static.sinap.ps/blog/2014/Sep/headless_chicken-1410405270942.jpg)

## Antiskill: Being Responsive

_As a project manager at Microsoft, near the end of every milestone I would have meetings for multiple hours every day to decide which last-minute issues to fix. Everything worth talking about was high-urgency, high-priority. It was especially bad a couple days before the final build - our vigilance extended through the weekend._

_High alert continued even after we signed the official release posters. Any issue we didn't catch before release would have to go out as an immediate patch. We'd monitor customer feedback, still meeting frequently. After a few weeks we could finally start to decompress. Only then could I start to think about anything beyond the current week. Only then was I back to thinking creatively, moving forward on strategic projects._

It's true; there are situations where it's extremely valuable to turn up the frequency and focus primarily on mechanical tasks, connecting the dots, responding, reacting. The danger is staying in that reactive mode and never coming back to proactive, larger goals. The best kind of value you can provide comes from extended distraction-free thinking, then purposeful, focused action toward that plan.

In many cases, there's a core reason behind that need for high-frequency reactive effort. What resources do your peers or team need to ensure that they can move forward without your help? Do they need documentation? Training? Do you need to get rid of folks on the team who just need too much handholding?

### Antidotes

* When you get a notification, use a timer to keep from responding too quickly. This will start to train people that your response time is slower, making it more likely that they'll spend more time on it before coming to you. If they still have a problem and it's important, they can call you or come talk to you in person. Gradually increase the length of your timer.
* Ask "Why?" about the interruption repeatedly until you get to something that can be fixed so it doesn't happen next time. Go fix that thing.
* [Reserve some time every day for empty space](http://www.elephantjournal.com/2008/09/dr-reggie-ray-busy-ness-is-laziness/). No meetings, no tasks, just your subconscious churning on the problems of the day. You'll be more creative, more relaxed.
* In [Anything You Want](http://www.amazon.com/Anything-You-Want-Derek-Sivers/dp/1936719118), Derek Sivers talks about breaking out of this responsiveness trap by bringing his company together whenever someone asked him a question so everyone could hear the answer. This became the beginning of the [CDBaby](http://www.cdbaby.com/) company guidebook.

![obama: deal with it](https://static.sinap.ps/blog/2014/Sep/deal_with_it_obama-1410405282195.jpg)

## Antiskill: Dealing With It

_One of my big surprises at Microsoft was the length of the Visual Studio build time. Sure, I'd seen long builds - some of my C++ and Java projects in college had taken over a minute to build. But this was something else entirely. A full Visual Studio build, snapped in the late evening, took until the next morning._

_I was dumbfounded. It slowed absolutely everything down, especially near the end of milestones. I asked around. "Is it getting better? Isn't anyone doing anything about it?" They all shrugged at me. Everyone knew about it, everyone complained about it, nobody was doing anything about it._

Time for a quick test: In the last several months, have you seen or made any progress on something that you complain about frequently?

If not, you're in danger of something called [Learned Helplessness](http://en.wikipedia.org/wiki/Learned_helplessness). It's a psychological condition closely related to depression, whereby you believe that your actions have no consequence on things of importance to you. It's a very dangerous mental state because it dulls your critical thinking and overall motivation.

As this thought process begins to leak past the original set of frustrations into your personal life, you consume more and do/create less. You watch TV instead of trying a new recipe or making art.

### Antidotes

* Practice the virtuous cycle of coming up with something you want to do, then doing it. Start with small things, then get progressively bigger. If you already feel effective in part of your life, think about applying some techniques from that part to the areas which are feeling stifled.
* Practice holding these ideas in your head at the same time:
  * X is frustrating and it is important to me that it is fixed.
  * I've failed at changing X so far.
  * I will eventually change X by learning better ways of approaching the problem.
* Make a list of your frustrations and prioritize it. For now, ignore all but your first item. Come up with a step-by-step plan to address it, potentially including peers and mentors to help you tune that plan. Then get to work!


## Can we fully eradicate antiskills?

Probably not, and I don't think we should try. May we always use them in small amounts, only as necessary for the job at hand!
